<script>
  import Formulario from './components/Formulario.vue'
  import ListadoTareas from "./components/ListadoTareas.vue"
  import { ref } from 'vue'

  export default {
    components: {
      Formulario,
      ListadoTareas
    },
    setup() {
      const todos = ref([])

      const agregarTarea = (newTodo) => {
        todos.value.push({
          id: Date.now(),
          done: false,
          content: newTodo.value
        })
        newTodo.value = ""
      }

      return {
        todos,
        agregarTarea
      }
    }
  }
</script>

<template>
  <div className="container mx-auto mt-10">
    <h1 className="text-3xl font-bold mt-5 text-center">Vue 3 - Vite - TailwindCSS</h1>
      <div className="mt-5 flex mb-12">
        <Formulario @addTodo="agregarTarea"/>
        <ListadoTareas :todos="todos"/>
      </div>
  </div>
</template>